## org.apache.myfaces.taglib.html
Class HtmlSelectMenuTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlInputTagBase
                      org.apache.myfaces.taglib.html.HtmlSelectMenuTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlSelectManyMenuTag, HtmlSelectOneMenuTag

public abstract class HtmlSelectMenuTagBase
extends HtmlInputTagBase

Common base tag class for HtmlSelectOneMenu and HtmlSelectManyMenu components.

Version:
  $Revision: 267201 $ $Date: 2005-09-02 09:47:41 -0400 (Fri, 02 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $), Martin Marinschek

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlSelectMenuTagBase()`

Method Summary
`void` `release()`
`void` `setBorder(java.lang.String border)`
`void` `setDatafld(java.lang.String datafld)`
`void` `setDataformatas(java.lang.String dataformatas)`
`void` `setDatasrc(java.lang.String datasrc)`
`void` `setDisabled(java.lang.String disabled)`
`void` `setDisabledClass(java.lang.String disabledClass)`
`void` `setEnabledClass(java.lang.String enabledClass)`
`void` `setName(java.lang.String name)`
`void` `setOnblur(java.lang.String onblur)`
`void` `setOnchange(java.lang.String onchange)`
`void` `setOnfocus(java.lang.String onfocus)`
`void` `setOnselect(java.lang.String onselect)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setTabindex(java.lang.String tabindex)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputTagBase
`setImmediate, setReadonly, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlSelectMenuTagBase

    public HtmlSelectMenuTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlInputTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlInputTagBase`

### setBorder

    public void setBorder(java.lang.String border)

### setDatafld

    public void setDatafld(java.lang.String datafld)

### setDatasrc

    public void setDatasrc(java.lang.String datasrc)

### setDataformatas

    public void setDataformatas(java.lang.String dataformatas)

### setDisabled

    public void setDisabled(java.lang.String disabled)

### setName

    public void setName(java.lang.String name)

### setOnblur

    public void setOnblur(java.lang.String onblur)

### setOnchange

    public void setOnchange(java.lang.String onchange)

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### setOnselect

    public void setOnselect(java.lang.String onselect)

### setTabindex

    public void setTabindex(java.lang.String tabindex)

### setDisabledClass

    public void setDisabledClass(java.lang.String disabledClass)

### setEnabledClass

    public void setEnabledClass(java.lang.String enabledClass)